/*------------------------ Celest.cc: -------------------------------
  class CelestialBody is a base class for class Planet and Star.
  This file shows the implementation of CelestialBody and Planet.
  Your job is to finish off the implementation of class Star.
  (Clearly this is an extreme simplification of astronomy; the idea
  is to illustrate how C++ can model a class of objects.)
  Programmer: John Chapman and Glenn D. Blank
  For chapter 14 of "The Universal Machine" (multimedia)
  Copyright (C) WCB/McGraw-Hill, 1998
--------------------------------------------------------------------*/
#include "Celest.h"

CelestialBody::CelestialBody(float rad)
{
  radius = rad;
}
CelestialBody::CelestialBody() //default constructor
{
  radius=0;
} 


float CelestialBody::volume()
{
  float vol;
  vol = 4/3*Pi*pow(radius,3);
  return vol;
}

float CelestialBody::surface_area()
{
  float area;
  area = 4*Pi*pow(radius,2);
  return area;
}

//Now the members of derived class Planet
Planet::Planet(float rad, int mns)
{
  radius = rad;
  num_moons = mns;
}

int Planet::get_moons()
{
  return num_moons;
}

//Now you implement any members of class Star


//test driver for CelestialBody and its children
void main()
{
  Planet pluto(6.7,2);
  cout << "Pluto's volume is " << pluto.volume() << endl;
  cout << "Pluto's surface area is " << pluto.surface_area() << endl;
  cout << "Pluto has " << pluto.get_moons() << " moons" << endl;
//add code here to test your new Star class
}
