/*---------------------- atm_dep.cc: FVB deposits -------------------
  Rapid prototype for the deposit module of an ATM system.
  Prompts user for a deposit amount and adds it the current balance.
  	Givens:
	   accountBalance, assume an arbitrary initial balance
	   deposit, from user
	Goal:
	   accountBalance = accountBalance + deposit
  Programmer: Glenn D. Blank  
  For chapter 3 of "The Universal Machine"
  Copyright (C) WCB/McGraw-Hill, 1998
-------------------------------------------------------------------*/
#include <iostream.h>

void main()
{
  float accountBalance=200.00; //today's balance 
  //arbitrary initialization; not connected to database yet
	
  float deposit;	//from user input

  //prompt for and read deposit
  cout << "Enter deposit amount:";
  cin >> deposit;
  //simulate receipt of deposit envelope 
  cout << "Please put deposit envelope in slot as shown." << endl;
  cout << "Thank you." << endl;

  //add deposit to accountBalance giving newBalance
  float newBalance = accountBalance + deposit; 
  //keep newBalance separate from accountBalance for withdrawals

  //display newBalance
  cout << "Your new balance is $" << newBalance << endl;
}
