/*--------------------------- filestd.cc ----------------------------
  Calculates sum and mean of unspecified amount of numbers.
  Instead of a numeric sentinel such as -1, this version uses
  the standard input eof signal, ctrl-z.
  This version also gives the mean as a real number.
  Programmer: Glenn D. Blank  
  For chapter 7 of "The Universal Machine" (multimedia)
  Copyright (C) WCB/McGraw-Hill, 1998
--------------------------------------------------------------------*/
#include <iostream.h>

void main()
{
  int x;       //input values
  int sum=0;   //sum of input values
  int count=0; //count up values for mean
  cout << "Enter values to sum up, one per line. " 
       << "Signal end with a Ctrl-z" << endl;
  cin >> x;    //initial READ
  while (!cin.eof()) 
  { sum = sum + x;   //DO body
    count++;	     //increment count
    cin >> x;        //Second READ
  }
  cout << endl << "Your sum is: " << sum << endl;
  if (count > 0)
     //Note how we get mean as a float value, in the expression below
     cout << "Your mean is: " << sum * 1.0 / count << endl;
  else cout << "No input... Bye!" << endl;
}
